{% comment %}
** Product snippet - only used as AJAX reference for recently viewed **
{% endcomment %}

<div class="js-recently-viewed-product clearfix">
  <div class="product-wrap">
      <div class="relative product_image swap-{{ settings.collection_secondary_image }}">
        <a href="{{ product.url | within: collection }}">
          <div class="image__container">
            {% include 'image-element', image: product.featured_image, alt: product.featured_image.alt, stretch_width: true %}
          </div>
          {% if settings.collection_secondary_image != blank %}
            <div class="image__container" style="max-width: {% if product.images[1] != blank %}{{ product.images[1].width }}px{% else %}{{ product.featured_image.width }}px{% endif %}; ">
              <img src="{% if product.images[1] != blank %}{{ product.images[1] | product_img_url: '800x' }}{% else %}{{ product.featured_image | product_img_url: '800x' }}{% endif %}"
              class="secondary lazyload"
              alt="{{ alt_text | escape }}"
              />
            </div>
          {% endif %}
          </a>
        {% include "product-details" %}
      </div>
      <a class="product-info__caption {% if settings.thumbnail_hover_enabled %}hidden{% endif %}" href="{{ product.url | within: collection }}">
        {% include "product-info" %}
      </a>
      </div>
    {% include 'collection-swatch' %}
  </div>
</div>
<div class="js-recommended-products"></div>